Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class CurrentItemExpression

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.ContextItemExpression
              net.sf.saxon.expr.CurrentItemExpression

All Implemented Interfaces:
  Serializable, SourceLocator, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class CurrentItemExpression

extends ContextItemExpression

The expression is generated when compiling the current() function in XSLT. It differs from the ContextItemExpression "." only in the error code that is returned when there is no context item.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`CurrentItemExpression()`

Method Summary

Methods inherited from class net.sf.saxon.expr.ContextItemExpression
`computeCardinality, computeSpecialProperties, copy, display, equals, evaluateItem, getIntrinsicDependencies, getItemType, hashCode, iterate, optimize, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getContainingProcedure, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterateSubExpressions, markTailFunctionCalls, process, promote, replaceSubExpression, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, simplify, suppressValidation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentItemExpression

    public CurrentItemExpression()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.